For the complete documentation index, see llms.txt. This page is also available as Markdown.

Outpainting

Allowing users to expand the boundaries of their images seamlessly.

Submit an outpainting request

GET https://api.quickqr.art/v1/predictions/queue

Headers

Name
Type
Description

x-api-key*

String

<your-api-key>

Request Body

Name
Type
Description

workflow*

String

Fixed value: outpainting

image*

String

The url to origin image to paint out.

prompt

String

The prompt to generate. If not provided, we will generate a summary of your image by our AI model.

negativePrompt

String

The negative prompt (what you don't want to see in the generated images.)

seed

integer

Seed number to create a field of visual noise, similar to television static, as a starting point for generating the initial image grids.

Range: 0-9007199254740991

Default value: random

image_width*

integer

The width of original image. We will use it to resize the input image before paint.

image_height*

integer

The height of original image. We will use it to resize the input image before paint.

padding_left*

interger

Padding left.

padding_bottom*

interger

Padding bottom.

padding_top*

interger

Padding top.

padding_right*

interger

Padding right.

type*

String

There are 2 types:

one_shot: do less steps, cheaper.

multi_shots: do more steps, expensiver.

webhook

String

An HTTPS URL for receiving a webhook when the prediction has new output. The webhook will be a POST request where the request body is the same as the response body of the get prediction operation. If there are network problems, we will retry the webhook a few times, so make sure it can be safely called more than once.

Example curl request:

Last updated